<?php
/**
 * Slant Header
 *
 * Displays all of the <head> section and everything up till the end of header>
 *
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
		<!-- Meta Tags -->
        <meta charset="<?php bloginfo( 'charset' ); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
		<!-- PAGE TITLE -->
		<?php if (!defined('WPSEO_VERSION')) { ?><title><?php // if there is no WordPress SEO plugin activated
	    wp_title(' - ', true, 'right');echo get_bloginfo('name').' - '.get_bloginfo('description'); // or some WordPress default ?></title>
		<meta name="description" content="<?php  echo get_bloginfo('description'); ?>">  
		<?php }else { ?>
		<title>
		<?php // WordPress SEO plugin active
		wp_title(); ?>
		</title>
		<?php } ?>
		
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
  
	<?php 
	global $slant_options;
	$kp_options = get_option('slant_options'); ?>
	
		<!--favicon icon-->
		<?php 
		if (isset($kp_options['favicon']) && $kp_options['favicon']['url'] != "") { 
		$kp_favicon = $kp_options['favicon'];	?>
		<link rel="shortcut icon" href="<?php echo $kp_favicon['url']; ?>" type="image/x-icon" />		
		<?php } ?>

		<?php 
		if (isset($kp_options['iphone_icon']) && $kp_options['iphone_icon']['url'] != "") { 
		$kp_iphone_icon = $kp_options['iphone_icon'];
		?>
        <link rel="apple-touch-icon-precomposed" href="<?php echo $kp_iphone_icon['url']; ?>">
        <?php } ?>
       
        <?php 
		if (isset($kp_options['ipad_icon']) && $kp_options['ipad_icon']['url'] != "") {
		$kp_ipad_icon = $kp_options['ipad_icon'];
		?>
        <link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php echo $kp_ipad_icon['url']; ?>">
        <?php } ?>
		
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/lib/html5shiv.min.js"></script>
	<![endif]-->
	<!--[if IE]>
        <style>	
            .animated {
                opacity: 1 !important;
                }
          </style>
	<![endif]-->
        <?php wp_head(); ?>
    </head>

<body <?php body_class(); ?> data-smooth-scrolling="<?php if (isset($kp_options['nice_scroll'])){ echo $kp_options['nice_scroll']; } ?>" data-nav-mode="<?php if (isset($kp_options['nav_style'])){ echo $kp_options['nav_style']; } ?>">	

<?php 
if( isset($kp_options['nav_style'])  && $kp_options['nav_style'] =="push" ){ 
get_template_part( 'includes/nav', 'pushnav' ); 
} ?>
 
 <?php if(isset($kp_options['site_preloader']) && $kp_options['site_preloader'] == "1"){ ?>
 <!-- Preloader -->
	<div id="preloader">
	  <div id="status">
		<section class="main"> 
		  <!-- the component -->
			<div class="loader"></div>
		</section>
	  </div>
	</div>
	<!-- /Preloader --> 
  <?php } ?>
 
  
  <?php
global $post;
$page_template='';
$warp_class='';
$page_template = get_post_meta( $post->ID, '_wp_page_template', true );
if ( is_page_template('homepage-template.php') || $page_template == 'homepage-template.php' ) {
$warp_class ='home-wrap';
if(isset($kp_options['banner_style']) && $kp_options['banner_style'] !="" ){
$kp_banner_style = $kp_options['banner_style'];
if(($kp_banner_style =="image") || ($kp_banner_style =="video") || ($kp_banner_style =="slider") ){ $header_class ='home-video';}
}
}elseif( is_page_template('comming-soon.php') || $page_template == 'comming-soon.php'){
$warp_class ='comming-soon-wrap';
}elseif(isset($kp_options['nav_style']) && $kp_options['nav_style'] =="side" ){
$warp_class ='inner-wrap-side';
}else{
$warp_class ='inner-wrap';
}
?>


<!-- START PAGE WRAP -->    
<div id="wrapper" class="<?php echo $warp_class;  if(isset($kp_options['transparent-nav']) && $kp_options['transparent-nav'] == "1"){ ?> transparent-nav <?php } ?>">
		<?php
		$nav_style = $kp_options['nav_style'];
		if($nav_style =="side"){
		get_template_part( 'includes/layout', 'side-header' );
		}
?>


<?php if ( ! is_page_template('comming-soon.php') || $page_template != 'comming-soon.php' ) { 

	if (isset($kp_options['nav_style'])){
	if( $kp_options['nav_style'] == "default" || $kp_options['nav_style'] == "push" ){ 
	 get_template_part( 'includes/nav', 'topnav' ); 
	 }
	}
 	
 } ?> 
 
 


	
<!-- header -->
<header class="clearfix <?php echo $header_class; ?>">
  
<!-- home -->
<?php
if ( is_page_template('homepage-template.php') || $page_template == 'homepage-template.php' ) {
if(isset($kp_options['banner_style']) && $kp_options['banner_style'] !="" ){
$kp_banner_style = $kp_options['banner_style'];
if($kp_banner_style =="image"){get_template_part('includes/banner', 'image'); }
if($kp_banner_style =="slider"){get_template_part('includes/banner', 'slider');}
if($kp_banner_style =="video"){get_template_part('includes/banner', 'video');}
if($kp_banner_style =="skew"){get_template_part('includes/banner', 'skew');}
}
}
?>
<!-- /home -->

</header>		
<!-- /header -->
<div class="clearfix"></div>